#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <sys/wait.h>

#include "defs.h"
#include "sign.h"
#include "cmd.h"
#include "termination.h"

int main() {
   char * prompt;
   int pid, status;
   TOKEN term;

   if( ( ignoresig(SIGINT) == SIG_ERR) || 
       ( ignoresig(SIGCHLD) == SIG_ERR)) {
       perror("ignoresig");
       exit(1);
   }

   prompt = "midish> ";

   while (1) {
      printf("%s", prompt);
      term = command(&pid);
      if (term == T_ERR) {
         continue;
      }
      if ( (term != T_AMP) && (pid != 0) ) {
	 /* wait for foreground process -
	  * if fg process terminates 
	  * the signal handler will handle the exit status
	  * (will do his wait!) and
	  * the following waitpid will return with -1!
	  */
          waitpid(pid,&status,0);
      }
   }
   printf("\n\n");
   exit(0);
}
