#define TERM_H 
#include "termination.h"

static char * sigmsg[] = {
      "",
      "Hangup", "Interrupt", "Quit",
      "Illegal instruction", "Trace trap",
      "IOT instruction", "EMT instruction",
      "Floating point exception",
      "Kill", "Bus error",
      "Segmentation violation",
      "Bad arg to system call",
      "Write on pipe", "Alarm clock",
      "Terminate signal",
      "User signal 1", "User signal 2",
      "Death of child", "Power fail"
   };

void statusprt(int status) {
   int code;

   if (lowbyte(status) == 0) {
      // normal termination
      code = highbyte(status);
      printf("Exit code %d\n", code);
   } else {
      if ((code = (status & 0177)) <= MAXSIG)
         printf("%s", sigmsg[code]);
      else
         printf("Signal# %d", code);
      if ((status & 0200) == 0200)
          printf(" - core dumped");
      printf("\n");
   }
}
